Package be.vlaanderen.mercurius.vsb.common.v2

# Class WaitingPeriodsType

java.lang.Object
be.vlaanderen.mercurius.vsb.common.v2.WaitingPeriodsType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class WaitingPeriodsType extends Object implements Serializable

Java class for WaitingPeriodsType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="WaitingPeriodsType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="WaitingPeriodCBDependentPerson" type="{http://www.mercurius.vlaanderen.be/vsb/common/v2}WaitingPeriodType" minOccurs="0"/>
             <element name="WaitingPeriodCBHandicap" type="{http://www.mercurius.vlaanderen.be/vsb/common/v2}WaitingPeriodType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WaitingPeriodsType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WaitingPeriodType`
  `getWaitingPeriodCBDependentPerson()`
  Groeperend element voor de informatie betreffende de wachttijd van het gevraagde dossier voor Zorgbudget voor zwaar zorgbehoevenden.
  `WaitingPeriodType`
  `getWaitingPeriodCBHandicap()`
  Groeperend element voor de informatie betreffende de wachttijd van het gevraagde dossier voor Zorgbudget voor personen met een Handicap.
  `void`
  `setWaitingPeriodCBDependentPerson(WaitingPeriodType value)`
  Sets the value of the waitingPeriodCBDependentPerson property.
  `void`
  `setWaitingPeriodCBHandicap(WaitingPeriodType value)`
  Sets the value of the waitingPeriodCBHandicap property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WaitingPeriodsType

    public WaitingPeriodsType()

- ## Method Details

  - ### getWaitingPeriodCBDependentPerson

    public WaitingPeriodType getWaitingPeriodCBDependentPerson()
    Groeperend element voor de informatie betreffende de wachttijd van het gevraagde dossier voor Zorgbudget voor zwaar zorgbehoevenden.
    Returns:
      possible object is `WaitingPeriodType`

  - ### setWaitingPeriodCBDependentPerson

    public void setWaitingPeriodCBDependentPerson(WaitingPeriodType value)
    Sets the value of the waitingPeriodCBDependentPerson property.
    Parameters:
      `value` - allowed object is `WaitingPeriodType`
    See Also:
      - `getWaitingPeriodCBDependentPerson()`

  - ### getWaitingPeriodCBHandicap

    public WaitingPeriodType getWaitingPeriodCBHandicap()
    Groeperend element voor de informatie betreffende de wachttijd van het gevraagde dossier voor Zorgbudget voor personen met een Handicap.
    Returns:
      possible object is `WaitingPeriodType`

  - ### setWaitingPeriodCBHandicap

    public void setWaitingPeriodCBHandicap(WaitingPeriodType value)
    Sets the value of the waitingPeriodCBHandicap property.
    Parameters:
      `value` - allowed object is `WaitingPeriodType`
    See Also:
      - `getWaitingPeriodCBHandicap()`